%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:          python-sybase
Version:       0.39
Release:       15%{?dist}
Summary:       Python interface to Sybase

Group:         Development/Languages
License:       BSD
URL:           http://python-sybase.sourceforge.net/
Source0:       http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# for building the doc
Source1:       http://svn.python.org/projects/python/branches/release25-maint/Doc/texinputs/howto.cls
Source2:       http://svn.python.org/projects/python/branches/release25-maint/Doc/texinputs/pypaper.sty
Source3:       http://svn.python.org/projects/python/branches/release25-maint/Doc/texinputs/python.sty
# bugfix from upstream svn r446
Patch1:        python-sybase-0.39-bug2615821.patch

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: python-devel
BuildRequires: python-setuptools
BuildRequires: freetds-devel
# for building the doc
BuildRequires: texlive-latex-bin texlive-collection-latexrecommended

%description
python-sybase is a DB-API 2.0 compliant Python interface 
to the Sybase Relational Database.


%prep
%setup -q
%patch1 -p0 -b .bug2615821
cp -av %{SOURCE1} %{SOURCE2} %{SOURCE3} doc/


%build
export SYBASE="%{_prefix}"
# the uptrame build setup fails to mention -lct on x86_64, so just use explicitly
# reported upstream artefact 2812108
# https://sourceforge.net/tracker/?func=detail&aid=2812108&group_id=184050&atid=907701
CFLAGS="-DHAVE_FREETDS -DWANT_THREADS" LDFLAGS="-lct" %{__python} setup.py build
cd doc ; makeindex sybase.tex ; pdflatex sybase


#check
# not running tests yet because none would actually work, 
# due to db server requirement or simply being buggy
# https://sourceforge.net/tracker/?func=detail&aid=2815670&group_id=184050&atid=907701


%install
rm -rf $RPM_BUILD_ROOT
export SYBASE="%{_prefix}"
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
# force the mode until someone figures out why this sometimes ends up with 775 perms
find $RPM_BUILD_ROOT -name sybasect.so -exec chmod 0755 {} \;
mv doc/sybase.pdf doc/python-sybase.pdf

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENCE ChangeLog doc/python-sybase.pdf examples
%{python_sitearch}/*


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.39-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.39-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Nov  5 2013 Yanko Kaneti <yaneti@declera.com> - 0.39-13
- BR: python-setuptools-devel > python-setuptools
  https://lists.fedoraproject.org/pipermail/devel/2013-November/191344.html

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.39-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 18 2013 Yanko Kaneti <yaneti@declera.com> - 0.39-11
- BR: texlive-latex-bin texlive-collection-latexrecommended

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.39-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.39-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.39-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.39-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.39-6
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Nov 19 2009 Yanko Kaneti <yaneti@declera.com> - 0.39-5
- BR: python-devel, no longer pulled in by python-setuptools-devel

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.39-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul  8 2009 Yanko Kaneti <yaneti@declera.com> - 0.39-3
- Build with -DWANT_THREADS

* Mon Jul  6 2009 Yanko Kaneti <yaneti@declera.com> - 0.39-2
- Try harder to build human readable documentation
- Move the sybasect.so chmod after the install phase

* Thu Jun 25 2009 Yanko Kaneti <yaneti@declera.com> - 0.39-1
- Start over reworking Andy Theuninck's submission in bug 459675
